package com.mx.dla.dda.contrato.ws.validarMinimoSeleccion;

import java.util.ArrayList;
import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

/**
 * Representa la respuesta que sera enviada al Front-End por parte de este componente al ejecutar el proceso de obtener Valor del Titulo
 * Incluye un mensaje y resultado de la transaccion.
 *
 */
public class ResponseValidaMinimoSeleccionDTO extends BaseDTO
{
	private static final long serialVersionUID = 1L;
	private String mensaje;
	private boolean resultado;
	private List<String> errores;
	
	public ResponseValidaMinimoSeleccionDTO()
	{
		this.inicializaAtributos();
	}
	
	public String getMensaje() {
		return this.mensaje;
	}
	public void setMensaje(String mensaje) {
		this.mensaje = mensaje;
	}
	public boolean getResultado() {
		return resultado;
	}
	public void setResultado(boolean resultado) {
		this.resultado = resultado;
	}
	public List<String> getErrores() {
		return errores;
	}
	public void setErrores(List<String> errores) {
		this.errores = errores;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" mensaje: _" + this.getMensaje() + "_" + NEW_LINE);
		result.append(" resultado: _" + this.getResultado() + "_" + NEW_LINE);
		result.append(" errores: _" + this.getErrores().size() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
	
	
	private void inicializaAtributos()
	{
		this.mensaje = "OK";
		this.resultado = true;
		this.errores = new ArrayList<String>();
	}
	
}
